Bug 174214 - Stack traces are not available
Stack traces are not available
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Engine
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Tomas Hurka
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-09 12:54 UTC by Tomas Hurka
Modified: 2009-12-04 02:13 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
heap dump from 64bit JVM (154.99 KB, application/x-gzip)
2009-10-09 12:55 UTC, Tomas Hurka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2009-10-09 12:54:34 UTC
Stack traces are not available in Overview Tab if the heap dump was taken on 64bit JVM.
Comment 1 Tomas Hurka 2009-10-09 12:55:51 UTC
Created attachment 89179 [details]
heap dump from 64bit JVM
Comment 2 Tomas Hurka 2009-10-09 13:02:17 UTC
Steps to reproduce:
1) open attached heap dump
2) in Overview tab click on 'Show threads' link

no stack traces are displayed
Comment 3 Tomas Hurka 2009-10-09 13:16:29 UTC
Fixed in profiler-main
changeset:   148321:b7541efcc00b
user:        Tomas Hurka <thurka@netbeans.org>
date:        Fri Oct 09 14:14:12 2009 +0200
summary:     bugfix #174214, stackTraceSerialNumber has size of int

changeset:   148322:85a3f6df37ea
user:        Tomas Hurka <thurka@netbeans.org>
date:        Fri Oct 09 14:15:10 2009 +0200
summary:     bugfix #174214, classSerialNumber has size of int
Comment 4 Quality Engineering 2009-10-14 11:06:32 UTC
Integrated into 'main-golden', will be available in build *200910140201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/b7541efcc00b
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #174214, stackTraceSerialNumber has size of int


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo